### Function

# GVnc PixelFormat new

#### Declaration [src]

    VncPixelFormat*
    vnc_pixel_format_new (
      void
    )

#### Description [src]

Allocate a new VNC pixel format struct whose contents is initialized to all zeros. The struct must be released using vnc_pixel_format_free when no longer required.

#### Return value

Type: `VncPixelFormat`

The new pixel format struct.

The caller of the function takes ownership of the data, and is responsible for freeing it.